Index: drivers/video/Config.in
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/video/Config.in,v
retrieving revision 1.1
retrieving revision 1.8
diff -u -r1.1 -r1.8
--- drivers/video/Config.in	22 Jul 2004 19:50:23 -0000	1.1
+++ drivers/video/Config.in	23 Mar 2006 20:29:10 -0000	1.8
@@ -14,35 +14,44 @@
          tristate '  nVidia Riva support (EXPERIMENTAL)' CONFIG_FB_RIVA
       fi
       if [ "$CONFIG_AMIGA" = "y" -o "$CONFIG_PCI" = "y" ]; then
-     tristate '  Cirrus Logic support (EXPERIMENTAL)' CONFIG_FB_CLGEN
-     tristate '  Permedia2 support (EXPERIMENTAL)' CONFIG_FB_PM2
-     if [ "$CONFIG_FB_PM2" = "y" -o "$CONFIG_FB_PM2" = "m" ]; then
-        if [ "$CONFIG_PCI" = "y" ]; then
-           bool '    enable FIFO disconnect feature' CONFIG_FB_PM2_FIFO_DISCONNECT
-           bool '    generic Permedia2 PCI board support' CONFIG_FB_PM2_PCI
-        fi
-        if [ "$CONFIG_AMIGA" = "y" ]; then
-           bool '    Phase5 CVisionPPC/BVisionPPC support' CONFIG_FB_PM2_CVPPC
-        fi
-     fi
+	 tristate '  Cirrus Logic support (EXPERIMENTAL)' CONFIG_FB_CLGEN
+	 tristate '  Permedia2 support (EXPERIMENTAL)' CONFIG_FB_PM2
+	 if [ "$CONFIG_FB_PM2" = "y" -o "$CONFIG_FB_PM2" = "m" ]; then
+	    if [ "$CONFIG_PCI" = "y" ]; then
+	       bool '    enable FIFO disconnect feature' CONFIG_FB_PM2_FIFO_DISCONNECT
+	       bool '    generic Permedia2 PCI board support' CONFIG_FB_PM2_PCI
+	    fi
+	    if [ "$CONFIG_AMIGA" = "y" ]; then
+	       bool '    Phase5 CVisionPPC/BVisionPPC support' CONFIG_FB_PM2_CVPPC
+	    fi
+	 fi
       fi
       if [ "$CONFIG_PCI" = "y" ]; then
          tristate '  Permedia3 support (EXPERIMENTAL)' CONFIG_FB_PM3
       fi
    fi
+
    if [ "$CONFIG_ARM" = "y" ]; then
+
+     tristate '  TS7KV Frame Buffer support' CONFIG_FB_TS7KV
+     tristate '  TS7300 Frame Buffer support' CONFIG_FB_TS7300
+
+     if [ "$CONFIG_FB_TS7KV" = "y" ]; then
+        define_bool CONFIG_FBCON_CFB16 y
+     fi
+
      if [ "$CONFIG_ARCH_ACORN" -o "$CONFIG_ARCH_RISCSTATION" ]; then
-    bool '  Acorn VIDC support' CONFIG_FB_ACORN
+  	bool '  Acorn VIDC support' CONFIG_FB_ACORN
      else
-    define_bool CONFIG_FB_ACORN n
+	define_bool CONFIG_FB_ACORN n
      fi
-     
+
      if [ "$CONFIG_ARCH_EP9312" = "y" -o "$CONFIG_ARCH_EP9315" = "y" ]; then
-        bool '  EP93xx Frame Buffer support' CONFIG_FB_EP93XX 
+        bool '  EP93xx Frame Buffer support' CONFIG_FB_EP93XX
      else
         define_bool CONFIG_FB_EP93XX n
-     fi 
-     
+     fi
+
      if [ "$CONFIG_FB_EP93XX" = "y" ]; then
         choice '  EP93xx Frame Buffer Display' \
         "CRT_Display CONFIG_FB_CRT_EP93XX \
@@ -60,10 +69,10 @@
      dep_bool '  MX1ADS LCD support' CONFIG_FB_DBMX1 $CONFIG_ARCH_MX1ADS
      if [ "$CONFIG_FB_SA1100" = "y" -a "$CONFIG_SA1100_CERF" = "y" ]; then
         choice 'CerfBoard LCD Display Size' \
-        "3.8_Color      CONFIG_CERF_LCD_38_A \
-         3.8_Mono       CONFIG_CERF_LCD_38_B \
-         5.7        CONFIG_CERF_LCD_57_A \
-         7.2        CONFIG_CERF_LCD_72_A" 5.7
+		"3.8_Color		CONFIG_CERF_LCD_38_A \
+		 3.8_Mono		CONFIG_CERF_LCD_38_B \
+		 5.7		CONFIG_CERF_LCD_57_A \
+		 7.2		CONFIG_CERF_LCD_72_A" 5.7
      fi
      if [ "$CONFIG_FB_SA1100" = "y" -a "$CONFIG_SA1100_CERF_CPLD" = "y" ]; then
        bool 'Cerfboard Backlight (CerfPDA)' CONFIG_SA1100_CERF_LCD_BACKLIGHT
@@ -79,24 +88,24 @@
    if [ "$CONFIG_AMIGA" = "y" ]; then
       tristate '  Amiga native chipset support' CONFIG_FB_AMIGA
       if [ "$CONFIG_FB_AMIGA" != "n" ]; then
-     bool '    Amiga OCS chipset support' CONFIG_FB_AMIGA_OCS
-     bool '    Amiga ECS chipset support' CONFIG_FB_AMIGA_ECS
-     bool '    Amiga AGA chipset support' CONFIG_FB_AMIGA_AGA
+	 bool '    Amiga OCS chipset support' CONFIG_FB_AMIGA_OCS
+	 bool '    Amiga ECS chipset support' CONFIG_FB_AMIGA_ECS
+	 bool '    Amiga AGA chipset support' CONFIG_FB_AMIGA_AGA
       fi
    fi
    if [ "$CONFIG_ZORRO" = "y" ]; then
       tristate '  Amiga CyberVision support' CONFIG_FB_CYBER
       if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
-     bool '  Amiga CyberVision3D support (EXPERIMENTAL)' CONFIG_FB_VIRGE
-     tristate '  Amiga RetinaZ3 support (EXPERIMENTAL)' CONFIG_FB_RETINAZ3
-     bool '  Amiga FrameMaster II/Rainbow II support (EXPERIMENTAL)' CONFIG_FB_FM2
+	 bool '  Amiga CyberVision3D support (EXPERIMENTAL)' CONFIG_FB_VIRGE
+	 tristate '  Amiga RetinaZ3 support (EXPERIMENTAL)' CONFIG_FB_RETINAZ3
+	 bool '  Amiga FrameMaster II/Rainbow II support (EXPERIMENTAL)' CONFIG_FB_FM2
       fi
    fi
    if [ "$CONFIG_ATARI" = "y" ]; then
       bool '  Atari native chipset support' CONFIG_FB_ATARI
       tristate '  ATI Mach64 display support' CONFIG_FB_ATY
       if [ "$CONFIG_FB_ATY" != "n" ]; then
-     define_bool CONFIG_FB_ATY_GX y
+	 define_bool CONFIG_FB_ATY_GX y
       fi
    fi
    if [ "$CONFIG_PPC" = "y" ]; then
@@ -129,6 +138,9 @@
       tristate '  Hercules mono graphics console (EXPERIMENTAL)' CONFIG_FB_HGA
       define_bool CONFIG_VIDEO_SELECT y
    fi
+   if [ "$CONFIG_IA64" = "y" ]; then
+      tristate '  VGA 16-color graphics console' CONFIG_FB_VGA16
+   fi
    if [ "$CONFIG_VISWS" = "y" ]; then
       tristate '  SGI Visual Workstation framebuffer support' CONFIG_FB_SGIVW
       define_bool CONFIG_BUS_I2C y
@@ -153,117 +165,125 @@
    fi
    if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
       if [ "$CONFIG_PCI" != "n" ]; then
-     tristate '  Matrox acceleration (EXPERIMENTAL)' CONFIG_FB_MATROX
-     if [ "$CONFIG_FB_MATROX" != "n" ]; then
-        bool '    Millennium I/II support' CONFIG_FB_MATROX_MILLENIUM
-        bool '    Mystique support' CONFIG_FB_MATROX_MYSTIQUE
-        bool '    G100/G200/G400/G450/G550 support' CONFIG_FB_MATROX_G450
-        if [ "$CONFIG_FB_MATROX_G450" = "n" ]; then
-           bool '    G100/G200/G400 support' CONFIG_FB_MATROX_G100A
-        fi
-        if [ "$CONFIG_FB_MATROX_G450" = "y" -o "$CONFIG_FB_MATROX_G100A" = "y" ]; then
-           define_bool CONFIG_FB_MATROX_G100 y
-        fi
+	 tristate '  Matrox acceleration (EXPERIMENTAL)' CONFIG_FB_MATROX
+	 if [ "$CONFIG_FB_MATROX" != "n" ]; then
+	    bool '    Millennium I/II support' CONFIG_FB_MATROX_MILLENIUM
+	    bool '    Mystique support' CONFIG_FB_MATROX_MYSTIQUE
+ 	    bool '    G100/G200/G400/G450/G550 support' CONFIG_FB_MATROX_G450
+ 	    if [ "$CONFIG_FB_MATROX_G450" = "n" ]; then
+ 	       bool '    G100/G200/G400 support' CONFIG_FB_MATROX_G100A
+ 	    fi
+ 	    if [ "$CONFIG_FB_MATROX_G450" = "y" -o "$CONFIG_FB_MATROX_G100A" = "y" ]; then
+ 	       define_bool CONFIG_FB_MATROX_G100 y
+ 	    fi
             if [ "$CONFIG_I2C" != "n" ]; then
-           dep_tristate '      Matrox I2C support' CONFIG_FB_MATROX_I2C $CONFIG_FB_MATROX $CONFIG_I2C_ALGOBIT
-           if [ "$CONFIG_FB_MATROX_G100" = "y" ]; then
-              dep_tristate '      G400 second head support' CONFIG_FB_MATROX_MAVEN $CONFIG_FB_MATROX_I2C
-           fi
+	       dep_tristate '      Matrox I2C support' CONFIG_FB_MATROX_I2C $CONFIG_FB_MATROX $CONFIG_I2C_ALGOBIT
+	       if [ "$CONFIG_FB_MATROX_G100" = "y" ]; then
+	          dep_tristate '      G400 second head support' CONFIG_FB_MATROX_MAVEN $CONFIG_FB_MATROX_I2C
+	       fi
             fi
             dep_tristate '    Matrox /proc interface' CONFIG_FB_MATROX_PROC $CONFIG_FB_MATROX
-        bool '    Multihead support' CONFIG_FB_MATROX_MULTIHEAD
-     fi
-     tristate '  ATI Mach64 display support (EXPERIMENTAL)' CONFIG_FB_ATY
-     if [ "$CONFIG_FB_ATY" != "n" ]; then
-        bool '    Mach64 GX support (EXPERIMENTAL)' CONFIG_FB_ATY_GX
-        bool '    Mach64 CT/VT/GT/LT (incl. 3D RAGE) support' CONFIG_FB_ATY_CT
-     fi
-     tristate '  ATI Radeon display support (EXPERIMENTAL)' CONFIG_FB_RADEON
-     tristate '  ATI Rage128 display support (EXPERIMENTAL)' CONFIG_FB_ATY128
-     tristate '  Intel 830M/845G/852GM/855GM/865G display support (EXPERIMENTAL)' CONFIG_FB_INTEL 
-     tristate '  SIS acceleration (EXPERIMENTAL)' CONFIG_FB_SIS
-     if [ "$CONFIG_FB_SIS" != "n" ]; then
-        bool '    SIS 630/540/730 support' CONFIG_FB_SIS_300
-        bool '    SIS 315H/315 support' CONFIG_FB_SIS_315
-     fi
-     tristate '  NeoMagic display support (EXPERIMENTAL)' CONFIG_FB_NEOMAGIC
-     tristate '  3Dfx Banshee/Voodoo3 display support (EXPERIMENTAL)' CONFIG_FB_3DFX
-     tristate '  3Dfx Voodoo Graphics (sst1) support (EXPERIMENTAL)' CONFIG_FB_VOODOO1
-     tristate '  Trident support (EXPERIMENTAL)' CONFIG_FB_TRIDENT
-     if [ "$CONFIG_MIPS" = "y" ]; then
-       tristate '  Epson SED1356 framebuffer support' CONFIG_FB_E1356
-       if [ "$CONFIG_MIPS_PB1000" = "y" -a "$CONFIG_FB_E1356" != "n" ]; then
-         bool '    Use CRT on Pb1000 (J65)' CONFIG_PB1000_CRT
-         bool '    Use Compsite NTSC on Pb1000 (J63)' CONFIG_PB1000_NTSC
-         bool '    Use TFT Panel on Pb1000 (J64)' CONFIG_PB1000_TFT
-       fi
+	    bool '    Multihead support' CONFIG_FB_MATROX_MULTIHEAD
+	 fi
+	 tristate '  ATI Mach64 display support (EXPERIMENTAL)' CONFIG_FB_ATY
+	 if [ "$CONFIG_FB_ATY" != "n" ]; then
+	    bool '    Mach64 GX support (EXPERIMENTAL)' CONFIG_FB_ATY_GX
+	    bool '    Mach64 CT/VT/GT/LT (incl. 3D RAGE) support' CONFIG_FB_ATY_CT
+            if [ "$ARCH" = "i386" -a "$CONFIG_FB_ATY_CT" != "n" ]; then
+              bool '    Mach64 generic LCD monitor support (EXPERIMENTAL)' CONFIG_FB_ATY_GENERIC_LCD
+            fi
+	 fi
+ 	 tristate '  ATI Radeon display support (EXPERIMENTAL)' CONFIG_FB_RADEON
+	 tristate '  ATI Rage128 display support (EXPERIMENTAL)' CONFIG_FB_ATY128
+	 tristate '  Intel 830M/845G/852GM/855GM/865G display support (EXPERIMENTAL)' CONFIG_FB_INTEL 
+	 tristate '  SIS display support (EXPERIMENTAL)' CONFIG_FB_SIS
+	 if [ "$CONFIG_FB_SIS" != "n" ]; then
+	    bool '    SIS 300 series support' CONFIG_FB_SIS_300
+	    bool '    SIS 315/330 series support' CONFIG_FB_SIS_315
+	 fi
+	 tristate '  NeoMagic display support (EXPERIMENTAL)' CONFIG_FB_NEOMAGIC
+	 tristate '  3Dfx Banshee/Voodoo3 display support (EXPERIMENTAL)' CONFIG_FB_3DFX
+	 tristate '  3Dfx Voodoo Graphics (sst1) support (EXPERIMENTAL)' CONFIG_FB_VOODOO1
+	 tristate '  Trident support (EXPERIMENTAL)' CONFIG_FB_TRIDENT
+	 if [ "$CONFIG_MIPS" = "y" ]; then
+	   tristate '  Epson SED1356 framebuffer support' CONFIG_FB_E1356
+	   if [ "$CONFIG_MIPS_PB1000" = "y" -a "$CONFIG_FB_E1356" != "n" ]; then
+	     bool '    Use CRT on Pb1000 (J65)' CONFIG_PB1000_CRT
+	     bool '    Use Compsite NTSC on Pb1000 (J63)' CONFIG_PB1000_NTSC
+	     bool '    Use TFT Panel on Pb1000 (J64)' CONFIG_PB1000_TFT
+	   fi
            if [ "$CONFIG_MIPS_PB1500" = "y" -a "$CONFIG_FB_E1356" != "n" ]; then
-         bool '    Use CRT on Pb1500 ' CONFIG_PB1500_CRT
-         bool '    Use TFT Panel on Pb1500 ' CONFIG_PB1500_TFT
+	     bool '    Use CRT on Pb1500 ' CONFIG_PB1500_CRT
+	     bool '    Use TFT Panel on Pb1500 ' CONFIG_PB1500_TFT
            fi
            if [ "$CONFIG_MIPS_PB1100" = "y" -a "$CONFIG_FB_E1356" != "n" ]; then
-         bool '    Use CRT on Pb1100 ' CONFIG_PB1500_CRT
-         bool '    Use TFT Panel on Pb1100 ' CONFIG_PB1500_TFT
+	     bool '    Use CRT on Pb1100 ' CONFIG_PB1500_CRT
+	     bool '    Use TFT Panel on Pb1100 ' CONFIG_PB1500_TFT
            fi
-           if [ "$CONFIG_MIPS_PB1100" = "y" ]; then
-         bool '    Au1100 LCD Driver' CONFIG_FB_AU1100
+           if [ "$CONFIG_SOC_AU1100" = "y" ]; then
+	     bool '    Au1100 LCD Driver' CONFIG_FB_AU1100
            fi
-     fi
+	 fi
       fi
    fi
    if [ "$CONFIG_SPARC32" = "y" -o "$CONFIG_SPARC64" = "y" ]; then
       bool '  SBUS and UPA framebuffers' CONFIG_FB_SBUS
       if [ "$CONFIG_FB_SBUS" != "n" ]; then
-     if [ "$CONFIG_SPARC64" = "y" ]; then
-        bool '    Creator/Creator3D support' CONFIG_FB_CREATOR
-     fi
-     bool '    CGsix (GX,TurboGX) support' CONFIG_FB_CGSIX
-     bool '    BWtwo support' CONFIG_FB_BWTWO
-     bool '    CGthree support' CONFIG_FB_CGTHREE
-     if [ "$CONFIG_SPARC32" = "y" ]; then
-        bool '    TCX (SS4/SS5 only) support' CONFIG_FB_TCX
-        bool '    CGfourteen (SX) support' CONFIG_FB_CGFOURTEEN
-        bool '    P9100 (Sparcbook 3 only) support' CONFIG_FB_P9100
-     fi
-     bool '    Leo (ZX) support' CONFIG_FB_LEO
+	 if [ "$CONFIG_SPARC64" = "y" ]; then
+	    bool '    Creator/Creator3D support' CONFIG_FB_CREATOR
+	 fi
+	 bool '    CGsix (GX,TurboGX) support' CONFIG_FB_CGSIX
+	 bool '    BWtwo support' CONFIG_FB_BWTWO
+	 bool '    CGthree support' CONFIG_FB_CGTHREE
+	 if [ "$CONFIG_SPARC32" = "y" ]; then
+	    bool '    TCX (SS4/SS5 only) support' CONFIG_FB_TCX
+	    bool '    CGfourteen (SX) support' CONFIG_FB_CGFOURTEEN
+	    bool '    P9100 (Sparcbook 3 only) support' CONFIG_FB_P9100
+	 fi
+	 bool '    Leo (ZX) support' CONFIG_FB_LEO
       fi
    fi
    if [ "$CONFIG_SPARC32" = "y" ]; then
       if [ "$CONFIG_PCI" != "n" ]; then
-     bool '  PCI framebuffers' CONFIG_FB_PCI
-     if [ "$CONFIG_FB_PCI" != "n" ]; then
-        bool '    IGA 168x display support' CONFIG_FB_IGA
-     fi
+	 bool '  PCI framebuffers' CONFIG_FB_PCI
+	 if [ "$CONFIG_FB_PCI" != "n" ]; then
+	    bool '    IGA 168x display support' CONFIG_FB_IGA
+	 fi
       fi
    fi
    if [ "$CONFIG_SPARC64" = "y" ]; then
       if [ "$CONFIG_PCI" != "n" ]; then
-     bool '  PCI framebuffers' CONFIG_FB_PCI
-     if [ "$CONFIG_FB_PCI" != "n" ]; then
-        tristate '    ATI Mach64 display support' CONFIG_FB_ATY
-        if [ "$CONFIG_FB_ATY" != "n" ]; then
-           define_bool CONFIG_FB_ATY_CT y
-        fi
-     fi
+	 bool '  PCI framebuffers' CONFIG_FB_PCI
+	 if [ "$CONFIG_FB_PCI" != "n" ]; then
+	    tristate '    ATI Mach64 display support' CONFIG_FB_ATY
+	    if [ "$CONFIG_FB_ATY" != "n" ]; then
+	       define_bool CONFIG_FB_ATY_CT y
+	    fi
+	 fi
       fi
    fi
    if [ "$CONFIG_HD64461" = "y" ]; then
       tristate '  HD64461 Frame Buffer support' CONFIG_FB_HIT
    fi
    if [ "$CONFIG_DECSTATION" = "y" ]; then
+      dep_bool '  PMAG-AA TURBOchannel framebuffer support' CONFIG_FB_PMAG_AA $CONFIG_TC
       dep_bool '  PMAG-BA TURBOchannel framebuffer support' CONFIG_FB_PMAG_BA $CONFIG_TC
       dep_bool '  PMAGB-B TURBOchannel framebuffer support' CONFIG_FB_PMAGB_B $CONFIG_TC
-      bool '  Maxine (Personal DECstation) onboard framebuffer support' CONFIG_FB_MAXINE
+      dep_bool '  Maxine (Personal DECstation) onboard framebuffer support' CONFIG_FB_MAXINE $CONFIG_TC
    fi
    if [ "$CONFIG_NINO" = "y" ]; then
       bool '  TMPTX3912/PR31700 frame buffer support' CONFIG_FB_TX3912
    fi
+   if [ "$CONFIG_PCI" = "y" -o "$CONFIG_CPU_VR41XX" = "y" ]; then
+      tristate '  ITE IT8181E/F support' CONFIG_FB_IT8181
+   fi
    if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
       tristate '  Virtual Frame Buffer support (ONLY FOR TESTING!) (EXPERIMENTAL)' CONFIG_FB_VIRTUAL
    fi
 
    bool '  Advanced low level driver options' CONFIG_FBCON_ADVANCED
-   if [ "$CONFIG_FBCON_ADVANCED" = "y" ]; then
+   if [ "$CONFIG_FBCON_ADVANCED" = "y" -a "$CONFIG_FB_TS7KV" = "n" \
+	-o "$CONFIG_FB_TS7KV" = "m" ]; then
       tristate '    Monochrome support' CONFIG_FBCON_MFB
       tristate '    2 bpp packed pixels support' CONFIG_FBCON_CFB2
       tristate '    4 bpp packed pixels support' CONFIG_FBCON_CFB4
